/v3/grants/{grant_id}/events/{event_id}Update an event
Updates the specified event, conference, or metadata.
When you make a PUT request, Nylas replaces all data in the nested object with the information
included in your request. For more information, see
Updating objects.
Limitations
Nylas handles updating and deleting events similarly to other endpoints, with the following restrictions:
- You can't update events where
read_onlyistrue. - You can't update events where the parent calendar's
read_onlyfield istrue.
Path parameters
ID of the grant to access. You can also use the email address associated with the grant, or use
/me/ to refer to the grant associated with an access token.
ID of the event to access. Nylas recommends you URL-encode this field, or you might receive a
404 error if the ID contains special characters (for
example, #).
Query parameters
The calendar ID of the event.
For Microsoft, we do not validate whether the given calendar ID matches the real calendar ID of the event. This is due to a limitation of the Microsoft Graph API.
(Not supported for iCloud) You can use primary to query the user's primary calendar.
Specify fields that you want Nylas to return, as a comma-separated list (for example,
select=id,updated_at). This allows you to receive only the portion of object data that you're
interested in. You can use select to optimize response size and reduce latency by limiting queries
to only the information that you need.
Filter for events matching the specified notify_participants setting.
Microsoft and iCloud do not support notify_participants=false.
conferencingAn object that lets you automatically create a conference, or enter conferencing details manually.
You can't use autocreate and details in the same request. If you do, Nylas returns an error.
Nylas stores conference information in the event description. To remove conference details, set
conferencing to {} and remove the corresponding conference information from the description in
the same request.
recurrenceAn array of RRULE and EXDATE strings. Nylas includes this field only if the event is the main
(master) event. See RFC-5545 for more details.
You can use this tool to learn more about the RRULE spec.
Events inherit their timezone from the when object. Nylas recommends that you use the when
object to specify the event's start and end time.
Provider specifics:
- On some providers,
EXDATEmight not include exception or cancelled event timestamps. When this happens, Nylas represents those event instances as separate objects in its responses. - Virtual calendars don't support
DTSTARTorTZID. - iCloud accounts do not support changing an event from recurring to non-recurring. You can create, update, or delete information on recurring events.
- Microsoft Graph adds one day to the
UNTILdate.
visibility(Not supported for iCloud events) Specifies whether the event is public or private. If not
defined, Nylas uses the account's default provider settings. For Google and Microsoft, event visibility is public by default.
For virtual calendar events, you can explicitly set visibility to private or public on create and update requests. If not set, virtual calendar events default to public behavior.